3dfxzone.it ~ SFFT Drivers ~ MesaFX ~ 3D-Analyze ~ 3dfx Headlines ~ 3dfx Cards ~
 
 
 
Home  ~  Profile  ~  Register  ~  Active Topics  ~  Members  ~  Search  ~  FAQ  ~  3dfxzone.it
Username:
Password:
Save Password
Forgot your Password?
 All Forums
 3dfx Hardware & Software
 Voodoo2 Discussions
 Which driver are you using for your 3dfx video card Voodoo2 ?

Note: You must be registered in order to post a reply.
To register, click here. Registration is FREE!

Screensize:
UserName:
Password:
Format Mode:
Format: BoldItalicizedUnderlineStrikethrough Align LeftCenteredAlign Right Horizontal Rule Insert HyperlinkInsert EmailInsert Image Insert CodeInsert QuoteInsert ListInsert YouTube video
   
Message:

* HTML is OFF
* Forum Code is ON
Smilies
Smile [:)] Big Smile [:D] Cool [8D] Blush [:I]
Tongue [:P] Evil [):] Wink [;)] Clown [:o)]
Black Eye [B)] Eight Ball [8] Frown [:(] Shy [8)]
Shocked [:0] Angry [:(!] Dead [xx(] Sleepy [|)]
Kisses [:X] Approve [^] Disapprove [V] Question [?]

   File upload: zip or doc extension and size <= 512kb
 Image file upload: jpg or jpeg or gif extension and size <= 512kb
Check here to include your profile signature.
Check here to subscribe to this topic.
    

T O P I C    R E V I E W
Glide Posted - 14/02/2007 : 13:17:46
Hi guys,

I'm asking you as the subject: which driver are you using for Voodoo2 cards?
Please specify Operative System too.

Your replys could be useful both to all as a reference and to 3dfxzone as users feedback.


Thanks in advance,


Glide
11   L A T E S T    R E P L I E S    (Newest First)
Pr1ha Posted - 26/01/2021 : 14:16:41
quote:
Originally posted by ps47

..fastvoodoo2 4.0 for win9x,but using the latest radeon compatible glides from 3dfx.koolsmoky's driver under xp,but I'm usually throwing in fxptl.sys from fastvoodoo2 4.0xp,its more stable for me and the one from koolsmoky is not really needed when you are not getting the mapmem errors..


Hello! Are there any newer Voodoo2 drivers available in 2021 that are compatible with radeon 9800 pro for win98?
batracio Posted - 22/05/2011 : 18:08:34
Just checked it and I'm still using the old 3.03.00 DirectX 6.1 reference driver on my Windows 98 testing machine. I don't think there's any reason to use a more recent driver on Win9x. Sure, FastVoodoo2 drivers have updated WinGlide libraries, but that's all. Every FastVoodoo2 version was released with buggy DosGlide and D3D cores. Bug in D3D was reported 8 years ago, affecting games like Jedi Knight or Alien vs Predator, but it was never fixed. Bug in DosGlide completely freezes Tomb Raider in 3dfx mode. Too many hassles when you want to play your old games on a Voodoo2 because it's supposed to be the most stable and fail-safe hardware for vintage 3D gaming. If you you want your Voodoo2 to work like a charm, follow my advice and use the old and trusty 3.03.00 DirectX 6.1 driver. You won't regret it.
TheJohnKerrys Posted - 30/04/2010 : 15:06:47
Iam using the last reference driver put out by 3dfx..3dfxVoodoo2 v3 02.02 using directX7a for windows 98se and havent had any performance problems playing NFS2,NF2SE,NFS3 & quake2.I just might chk out that fast voodoo driver.

Voodoo2 Driver kit Version: 3.02.02
Glide Driver Version: 2.56.00.0459
Glide3 Driver Version: 3.03.00.0670
Voodoo2 D3D Driver Build Number: 4.12.01.1151
Voodoo2 Control Panel Applet: 4.12.01.0082
OpenGL(r) Driver Version: 1.0.0.0508 ICD


DFI K6XV3+/66 socket 7
AMD k6-2 500afx(soon to be k6-3/450)
384mb pc-100 ram
soundblaster CT4170 Vibra isa
Matrox g200/mil agp 8mb(soon to be 16mb)
Diamond monster voodoo2 8mb
winsys 300 psu(12v+ 18amp)
sil ata133 ide/pci card
maxtor ata100 20gb
Creative dvd (1998)
52x cd rom


Zit Posted - 18/11/2008 : 00:23:59
I have voodoo2 card.My system is p4 2800ht 1024mb ram radeon x1650 512mb agp xp sp2 OS.I tought i can use voodoo2 with my system and i can play old games with glide but i cant :S i tried all drivers.whe drivers installing after restart system crash evertime.I wanna ask you Is it impossible :? i missed mortal kombat 4 with 3dfx
Xasd Posted - 13/05/2007 : 12:53:40
FastVoodoo2 for Win98

LegendGrafix VoodooMage2 for WinXP

(both drivers in last version)
PanoramixDruida Posted - 21/02/2007 : 06:25:53
FastVoodoo2 4.0 XP Gold Edition
Nightbird Posted - 20/02/2007 : 00:21:43
Fast Voodoo 2 3.5 or 4.0 with 2 Creative Labs under Win98SE.
agrelaphon Posted - 17/02/2007 : 22:40:58
koolsmoky glides with xp here
...I'll also try ps47's scheme
ps47 Posted - 16/02/2007 : 16:09:04
..fastvoodoo2 4.0 for win9x,but using the latest radeon compatible glides from 3dfx.koolsmoky's driver under xp,but I'm usually throwing in fxptl.sys from fastvoodoo2 4.0xp,its more stable for me and the one from koolsmoky is not really needed when you are not getting the mapmem errors..
skinnie Posted - 14/02/2007 : 23:14:54
FastVoodoo2 4.0 XP Gold Edition for me too..when in windows 98se I used Fastvoodoo2 3.5
Raff3DC Posted - 14/02/2007 : 19:36:11
FastVoodoo2 4.0 XP Gold Edition (WinXP) and FV2 3.5 (98 SE).

Greetings,
Raff

 

Forum Rules

Legal Info

Privacy

Contact Us

Search with Google

3dfxzone.it

HWSetup.it

ForumZone.it

 

All trademarks used are properties of their respective owners - Forum Graphics and Contents © 2001 - 2019 3dfxzone.it - Forum Engine © Snitz Forums